Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.iso_profile.ebrim
Class OWSProxyHandler

    java.lang.Object
      org.deegree.ogcwebservices.csw.iso_profile.ebrim.OWSProxyHandler

    public class OWSProxyHandler

extends Object

Version:
  $Revision: 1.3 $, $Date: 2007-06-21 13:54:48 $
Author:
  Andreas Poth, last edited by: $Author: bezema $

Constructor Summary
`OWSProxyHandler(javax.servlet.FilterConfig config)` initialize the filter with parameters from the deployment descriptor

Method Summary
`User` | `authentificateFromUserPw(String user, String password)`
`OGCWebServiceRequest` | `createOWSRequest(ServletRequestWrapper request)`
`void` | `doRequestValidation(ServletRequestWrapper request, User user, OGCWebServiceRequest owsRequest)` Validates if a given user may send the given request
`void` | `doResponseValidation(ServletResponseWrapper response, User user, OGCWebServiceRequest owsRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWSProxyHandler

    public OWSProxyHandler(javax.servlet.FilterConfig config)

  initialize the filter with parameters from the deployment descriptor

  Parameters:
    `config` -

Method Detail

### createOWSRequest

    public OGCWebServiceRequest createOWSRequest(ServletRequestWrapper request)
                                          throws OGCWebServiceException

  Parameters:
    `request` -
  Returns:
    a request created from the http servlet request (e.g. calling the `OGCRequestFactory.create(javax.servlet.ServletRequest)`.
  Throws:
    `OGCWebServiceException`

### doRequestValidation

    public void doRequestValidation(ServletRequestWrapper request,
                                    User user,
                                    OGCWebServiceRequest owsRequest)
                             throws UnauthorizedException,
                                    InvalidParameterValueException

  Validates if a given user may send the given request

  Parameters:
    `request` -
    `user` -
    `owsRequest` - created of the stream.
  Throws:
    `UnauthorizedException` - if the user is not authorized to do the given request.
    `InvalidParameterValueException`

### doResponseValidation

    public void doResponseValidation(ServletResponseWrapper response,
                                     User user,
                                     OGCWebServiceRequest owsRequest)
                              throws IOException,
                                     InvalidParameterValueException,
                                     UnauthorizedException

  Parameters:
    `response` -
    `user` -
    `owsRequest` -
  Throws:
    `IOException`
    `UnauthorizedException`
    `InvalidParameterValueException`

### authentificateFromUserPw

    public User authentificateFromUserPw(String user,
                                         String password)
                                  throws GeneralSecurityException

  Parameters:
    `user` -
    `password` -
  Returns:
    a User identified by the user and password.
  Throws:
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org